getbestblockhash - Dogecoin
Example code for the getbestblockhash JSON-RPC method. Complete guide on how to use getbestblockhash JSON-RPC in GetBlock Web3 documentation.
This method returns the hash of the best (tip) block in the most-work fully-validated chain.
Parameters
This method does not accept any parameters.
Request
curl --location --request POST 'https://shared.eu-central-1.getblock.io/<ACCESS-TOKEN>/' \
--header 'Content-Type: application/json' \
--data-raw '{
"jsonrpc": "2.0",
"method": "getbestblockhash",
"params": [],
"id": "getblock.io"
}'const axios = require('axios');
const { data } = await axios.post('https://shared.eu-central-1.getblock.io/<ACCESS-TOKEN>/', {
jsonrpc: '2.0', method: 'getbestblockhash', params: [], id: 'getblock.io'
});
console.log(data.result);import requests
response = requests.post(
'https://shared.eu-central-1.getblock.io/<ACCESS-TOKEN>/',
headers={'Content-Type': 'application/json'},
json={
'jsonrpc': '2.0',
'method': 'getbestblockhash',
'params': [],
'id': 'getblock.io'
}
)
print(response.json()['result'])Response
{
"error": null,
"id": "getblock.io",
"result": "7d6f509b16de07844787f97b50778d032eb026a470eb0e0fb5b42a73290e7848"
}Response Parameters
error
null|object
Error object when the call fails, otherwise null
id
string
Request identifier matching the request
result
string
Hash of the current chain tip
Use Cases
Tip Tracking: Poll for the current chain tip to detect new blocks
Reorg Detection: Compare against a stored tip to notice a chain reorganization
Chained Calls: Feed the hash into
getblockorgetblockheaderHealth Checks: Confirm the node is following the chain
Error Handling
-32700
Parse error
Request body is not valid JSON
-32600
Invalid request
The JSON sent is not a valid request object
-32603
Internal error
Node failed to read the requested chain state
Last updated
Was this helpful?